#version 400 compatibility
//#version 400
#define WANGHASH
//#define USE_TEXTURE
//#version 120
//#define OLD_FRAG

#include "MathUtils.frag"
//#include "newIQPath.frag"
//#include "iqPath_Light.frag"
#include "SkyPathTracer.frag"


#group Menger
uniform int Iterations;  slider[0,8,100]
uniform float Scale; slider[0.00,3.0,4.00]
uniform vec3 Offset; slider[(0,0,0),(1,1,1),(3,3,3)]
uniform bool Use_Floor; checkbox[false]
uniform int ColorIterations;  slider[0,2,100]

float DE(vec3 z)
{
	float p = z.z;
	float r;
	int n = 0;
	z = abs(z);
	if (z.x<z.y){ z.xy = z.yx;}
	if (z.x<z.z){ z.xz = z.zx;}
	if (z.y<z.z){ z.yz = z.zy;}
	if (z.z<1./3.){ z.z -=2.*( z.z-1./3.);}
	while (n < Iterations && dot(z,z)<100.0) {
		z=Scale* (z-Offset)+Offset;
		z = abs(z);
		if (z.x<z.y){ z.xy = z.yx;}
		if (z.x< z.z){ z.xz = z.zx;}
		if (z.y<z.z){ z.yz = z.zy;}
		if (z.z<1./3.*Offset.z){ z.z -=2.*( z.z-1./3.*Offset.z);}
		r = dot(z-Offset, z-Offset);
if (n<ColorIterations) orbitTrap = min(orbitTrap, abs(vec4(z.xyz,dot(z,z))));
		n++;
	}
	//return (length(z)-sqrt(3.) ) * pow(Scale, float(-n));
	return(Use_Floor)? min(p,float(z.x-Offset) * pow(Scale, float(-n))):float(z.x-Offset) * pow(Scale, float(-n));
}

#preset Default
FOV = 0.4
Eye = 0.705095,-5.42473,0.872247
Target = -1.0335,4.39574,0.140248
Up = 0,0,1
EquiRectangular = false
FocalPlane = 2.0652
Aperture = 0
ApertureNbrSides = 4
ApertureRot = 0
ApStarShaped = false
BokehCircle = 1.7
Gamma = 1.7
ToneMapping = 5
Exposure = 2
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = false
BloomIntensity = 0.25
BloomPow = 2
BloomTaps = 4
Detail = -3.46405
FudgeFactor = 1
RaySteps = 1060 Locked
RayDepth = 2
MaxDepth = 142.909 Locked
OrbitStrength = 0
X = 1,0.584314,0,-0.56862 Locked
Y = 0.113725,0,1,1 Locked
Z = 1,0.584314,0,0.09804 Locked
R = 1,1,1,-0.0099 Locked
CycleColors = false Locked
Cycles = 3.47327 Locked
BiasedSampling = true
DirectLight = true
SoftShadows = 0.44168
BgColor = 0.627451,0.772549,0.847059,0
GradientBg = 0.584314,0.278431,0.0745098,0
GradientVignet = false
GradientLinear = false
GradientLinearRot = -99,58.5,4.5
GradientOffset = 0.33582
Fog = 0.278431,0.321569,0.403922,0.35556
Fog_Exp = 1.03701
Mat_Color = 0.764706,0.764706,0.764706
Mat_Refl = 0
Mat_ReflExp = 0.85366
Stratify = false
Albedo = 1
MapType = 1
tex1 = 
tex1size = 1
tex1offset = 0,0
tex1RepeatMode = 0
tex1int = 1
tex2 = 
tex2size = 1
tex2_offset = 0,0
tex2RepeatMode = 0
tex2int = 1
tex_normal = 0.5
EnableSky = true
turbidity = 2
sunSize = 2.92776
SunPos = 0.94595,0.69595
SkyFactor = 5.645
Sunset = 0
EnableFloor = true
FloorNormal = 0,0,1
FloorHeight = -0.2419
FloorColor = 0.486275,0.45098,0.266667
Iterations = 5
Scale = 2.23728
Offset = 1.79463,2.59821,1.95537
Use_Floor = false
ColorIterations = 3
#endpreset




#preset Fog
FOV = 0.4
Eye = -1.14773,0.809729,0.638083
Target = 6.60592,-4.47842,-2.81392
Up = 0.272192,-0.213392,0.938273
EquiRectangular = false
FocalPlane = 1
Aperture = 0
ApertureNbrSides = 4
ApertureRot = 0
ApStarShaped = false
BokehCircle = 1.7
Gamma = 1.7
ToneMapping = 5
Exposure = 1
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
RayBounces = 5 Locked
RaySteps = 454 Locked
FudgeFactor = 1
HitDistance = 0.00017
MaxDepth = 22.8422 Locked
Mat_Color = 0.741176,0.741176,0.741176
Mat_Refl = 1e-05
Mat_ReflExp = 0.89024
UseTexture = false
DeTexScale = 0.2439
DeTexExposure = 0.14706
OrbitStrength = 0
X = 1,0.584314,0,-0.56862 Locked
Y = 0.113725,0,1,1 Locked
Z = 1,0.584314,0,0.09804 Locked
R = 1,1,1,-0.0099 Locked
CycleColors = false Locked
Cycles = 3.47327 Locked
SpotLight = 1,0.705882,0.368627,1.2
SpotLightDir = -0.11112,0.75308
SpotSize = 0
SpotExp = 0.5
BgColor = 0.231373,0.329412,0.458824,3.1429
Ambience = 1
GRIter = 0
GRPower = 0.31292
Iterations = 5
Scale = 2.1356
Offset = 0.80358,0.1875,1.74108
Use_Floor = true
ColorIterations = 3
Fog = 0.66
#endpreset



#preset testSKY
FOV = 0.4
Eye = -1.97396,-2.62753,1.22891
Target = 3.34947,5.31275,-1.70592
Up = -0.00921241,-0.013741,0.999863
EquiRectangular = false
FocalPlane = 2.0652
Aperture = 0
ApertureNbrSides = 4
ApertureRot = 0
ApStarShaped = false
BokehCircle = 1.7
Gamma = 2
ToneMapping = 2
Exposure = 2
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = false
BloomIntensity = 0.52778
BloomPow = 0.8989
BloomTaps = 20
Detail = -5.08849
FudgeFactor = 1
RaySteps = 1166
RayDepth = 4
MaxDepth = 80.9264
OrbitStrength = 0
X = 1,0.584314,0,-0.56862 Locked
Y = 0.113725,0,1,1 Locked
Z = 1,0.584314,0,0.09804 Locked
R = 1,1,1,-0.0099 Locked
CycleColors = false Locked
Cycles = 3.47327 Locked
BiasedSampling = true
DirectLight = true
SoftShadows = 0.07501
BgColor = 0.54902,0.623529,0.698039,0
GradientBg = 0.921569,0.384314,0.262745,0
GradientVignet = false
GradientLinear = true
GradientLinearRot = -45,-36,-45
GradientOffset = 0
Fog = 0.419608,0.529412,0.584314,0.55556
Fog_Exp = 0.4
Mat_Color = 0.882353,0.882353,0.882353
Mat_Refl = 1e-05
Mat_ReflExp = 0.075
Stratify = false
Albedo = 1
MapType = 1
tex1 = 
tex1size = 1
tex1offset = 0,0
tex1RepeatMode = 0
tex1int = 1
tex2 = 
tex2size = 1
tex2_offset = 0,0
tex2RepeatMode = 0
tex2int = 1
tex_normal = 0.5
EnableSky = true
turbidity = 2
sunSize = 1
SunPos = 0.51852,0.40741
SkyFactor = 3
Sunset = 0
EnableFloor = true
FloorNormal = -0.03,-0.03,1
FloorHeight = -0.2419
FloorColor = 0.380392,0.286275,0.180392
Iterations = 18
Scale = 2.57628
Offset = 1.25892,0.32142,1.20537
Use_Floor = false
ColorIterations = 3
#endpreset



#preset scene
FOV = 0.67484
Eye = 0.156954,-0.483244,2.04267
Target = -0.385471,2.77124,-7.39737
Up = -0.172191,0.901048,0.398075
EquiRectangular = false
FocalPlane = 2.0652
Aperture = 0
ApertureNbrSides = 4
ApertureRot = 0
ApStarShaped = false
BokehCircle = 1.7
Gamma = 1.7
ToneMapping = 5
Exposure = 2
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = false
BloomIntensity = 0.25
BloomPow = 2
BloomTaps = 4
Detail = -3.46405
FudgeFactor = 1
RaySteps = 1060 Locked
RayDepth = 4
MaxDepth = 142.909 Locked
OrbitStrength = 0
X = 1,0.584314,0,-0.56862 Locked
Y = 0.113725,0,1,1 Locked
Z = 1,0.584314,0,0.09804 Locked
R = 1,1,1,-0.0099 Locked
CycleColors = false Locked
Cycles = 3.47327 Locked
BiasedSampling = true
DirectLight = true
SoftShadows = 0.44168
BgColor = 0.627451,0.772549,0.847059,0
GradientBg = 0.584314,0.278431,0.0745098,0
GradientVignet = false
GradientLinear = false
GradientLinearRot = -99,58.5,4.5
GradientOffset = 0.33582
Fog = 0.278431,0.321569,0.403922,0.35556
Mat_Color = 0.647059,0.647059,0.647059
Mat_Refl = 0.25
Mat_ReflExp = 0.92623
Stratify = false
Albedo = 1
MapType = 1
tex1 = 
tex1size = 1
tex1offset = 0,0
tex1RepeatMode = 0
tex1int = 1
tex2 = 
tex2size = 1
tex2_offset = 0,0
tex2RepeatMode = 0
tex2int = 1
tex_normal = 0.5
EnableSky = true
turbidity = 2
sunSize = 2.92776
SunPos = 0.94595,0.69595
SkyFactor = 5.645
Sunset = 0
EnableFloor = true
FloorNormal = 0,0,1
FloorHeight = -0.2419
FloorColor = 0.486275,0.45098,0.266667
Iterations = 5
Scale = 2.23728
Offset = 1.79463,2.59821,1.95537
Use_Floor = false
ColorIterations = 3
Fog_Exp = 1.03701
#endpreset




#preset Gradient
FOV = 0.4
Eye = -4.0068,-7.68784,3.31811
Target = 0.0156357,1.40095,2.21629
Up = 0.0610425,0.0934557,0.99375
EquiRectangular = false
FocalPlane = 2.0652
Aperture = 0
ApertureNbrSides = 4
ApertureRot = 0
ApStarShaped = false
BokehCircle = 1.7
Gamma = 2
ToneMapping = 2
Exposure = 1
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Detail = -2.3
FudgeFactor = 1
MaxRaySteps = 198
RayDepth = 3
OrbitStrength = 0
X = 1,0.584314,0,-0.56862 Locked
Y = 0.113725,0,1,1 Locked
Z = 1,0.584314,0,0.09804 Locked
R = 1,1,1,-0.0099 Locked
CycleColors = false Locked
Cycles = 3.47327 Locked
BiasedSampling = true
DirectLight = true
SoftShadows = 1e-05
BgColor = 1,1,1,1
GradientBg = 0,0,0,1.4815
GradientVignet = true
GradientLinear = false
GradientLinearRot = -90,29.88,117
GradientOffset = 0.33582
Mat_Color = 0.72549,0.72549,0.72549
Mat_Refl = 0.61
Mat_ReflExp = 0.85366
Stratify = false
Albedo = 1
EnableSky = true
turbidity = 2
sunSize = 2.92776
SunPos = 0.7037,0.15741
SkyFactor = 7.143
SkyRot = 87.0984,-1.9368,13.5468
Iterations = 6
Scale = 2.23728
Offset = 1.79463,2.59821,1.95537
Use_Floor = true
ColorIterations = 3
#endpreset



#preset tex
FOV = 0.4
Eye = -1.36589,-3.55532,1.29961
Target = 3.18784,4.97762,-1.24058
Up = 0.119851,0.223968,0.967199
EquiRectangular = false
FocalPlane = 1.90215
Aperture = 0.04
ApertureNbrSides = 2
ApertureRot = 0
ApStarShaped = false
BokehCircle = 1.7
Gamma = 2
ToneMapping = 1
Exposure = 1
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 1.5
Detail = -3.3
FudgeFactor = 1
MaxRaySteps = 857
RayDepth = 2
OrbitStrength = 0
X = 1,0.584314,0,-0.56862 Locked
Y = 0.113725,0,1,1 Locked
Z = 1,0.584314,0,0.09804 Locked
R = 1,1,1,-0.0099 Locked
CycleColors = false Locked
Cycles = 3.47327 Locked
BiasedSampling = true
DirectLight = true
SoftShadows = 1e-05
BgColor = 0.0784314,0.352941,1,1
GradientBg = 0.901961,0.788235,0.878431,2.2222
GradientVignet = false
GradientLinear = true
GradientLinearRot = 72,29.88,-81
GradientOffset = -0.42537
Mat_Color = 0,0,0
Mat_Refl = 0
Mat_ReflExp = 0.85366
Stratify = false
Albedo = 0.77273
EnableSky = false
turbidity = 2
sunSize = 2.92776
SunPos = 0.35185,0.36111
SkyFactor = 7.143
SkyRot = 87.0984,-1.9368,13.5468
Iterations = 10
Scale = 2.23728
Offset = 1.79463,2.59821,1.95537
Use_Floor = true
ColorIterations = 3
UseTexture = true
DeTex = E:/1/fract/Fragmentarium/Fragmentarium/stone_texture_by_psunna.jpg
DeTexScale = 1.0843
DeTexExposure = 1
#endpreset




#preset Fog
FOV = 0.4
Eye = -1.8695,-1.12089,1.451
Target = 5.42815,3.58762,-3.50625
Up = 0.389737,0.309233,0.867456
EquiRectangular = false
FocalPlane = 2.0652
Aperture = 0
ApertureNbrSides = 4
ApertureRot = 0
ApStarShaped = false
BokehCircle = 1.7
Gamma = 1.3889
ToneMapping = 5
Exposure = 1
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = false
BloomIntensity = 0.25
BloomPow = 2
BloomTaps = 4
Detail = -3.59289
FudgeFactor = 1
RaySteps = 454 Locked
RayDepth = 3
MaxDepth = 27.6959
OrbitStrength = 0
X = 1,0.584314,0,-0.56862 Locked
Y = 0.113725,0,1,1 Locked
Z = 1,0.584314,0,0.09804 Locked
R = 1,1,1,-0.0099 Locked
CycleColors = false Locked
Cycles = 3.47327 Locked
BiasedSampling = true
DirectLight = true
SoftShadows = 0.5375
BgColor = 0.403922,0.454902,0.509804,0
GradientBg = 0.3,0.5,0.7,0
GradientVignet = false
GradientLinear = false
GradientLinearRot = 0,0,0
GradientOffset = 0
Mat_Color = 0.835294,0.835294,0.835294
Mat_Refl = 0
Mat_ReflExp = 0.93902
Stratify = false
Albedo = 1
MapType = 1
tex1 = 
tex1size = 1
tex1offset = 0,0
tex1RepeatMode = 0
tex1int = 1
tex2 = 
tex2size = 1
tex2_offset = 0,0
tex2RepeatMode = 0
tex2int = 1
tex_normal = 0.5
EnableSky = true
turbidity = 2
sunSize = 2.36194
SunPos = 0.39815,0.77778
SkyFactor = 2
SkyRot = 0,0,0
Iterations = 4
Scale = 2.57628
Offset = 1.76787,0.05358,1.125
Use_Floor = true
ColorIterations = 3
Sunset = 0
Fog = 1,1,1,0.42631
Fog_Exp = 4.94741
#endpreset




#preset FogScene
FOV = 0.52032
Eye = -1.68532,-1.28309,0.142493
Target = 6.5568,3.97605,2.24224
Up = -0.19411,-0.0859476,0.977207
EquiRectangular = false
FocalPlane = 0.65215
Aperture = 0
ApertureNbrSides = 4
ApertureRot = 0
ApStarShaped = false
BokehCircle = 1.7
Gamma = 1.3889
ToneMapping = 5
Exposure = 1
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = false
BloomIntensity = 0.25
BloomPow = 2
BloomTaps = 4
Detail = -3.53094
FudgeFactor = 1
RaySteps = 454 Locked
RayDepth = 4
MaxDepth = 13.135
OrbitStrength = 0
X = 1,0.584314,0,-0.56862 Locked
Y = 0.113725,0,1,1 Locked
Z = 1,0.584314,0,0.09804 Locked
R = 1,1,1,-0.0099 Locked
CycleColors = false Locked
Cycles = 3.47327 Locked
BiasedSampling = true
DirectLight = true
SoftShadows = 1e-05
BgColor = 0.286275,0.458824,0.509804,0.4286
GradientBg = 0.588235,0.192157,0.698039,0.5556
GradientVignet = false
GradientLinear = true
GradientLinearRot = 9,-36,0
GradientOffset = 0
Fog = 0.847059,0.513725,0.258824,1.05789
Fog_Exp = 0.94741
Mat_Color = 0.835294,0.835294,0.835294
Mat_Refl = 0.51
Mat_ReflExp = 0.9849
Stratify = false
Albedo = 8
MapType = 1
tex1 = 
tex1size = 1
tex1offset = 0,0
tex1RepeatMode = 0
tex1int = 1
tex2 = 
tex2size = 1
tex2_offset = 0,0
tex2RepeatMode = 0
tex2int = 1
tex_normal = 0.5
EnableSky = true
turbidity = 2
sunSize = 0.476
SunPos = 0.94444,0.77778
SkyFactor = 3
SkyRot = 0,0,0
Sunset = 0.51818
Iterations = 9
Scale = 2.47456
Offset = 2.30358,0.42858,1.95537
Use_Floor = true
ColorIterations = 3
#endpreset





#preset fog3
FOV = 0.52032
Eye = -0.169543,-1.6188,0.0179104
Target = 9.39374,-1.60337,2.94085
Up = 0,0,1
EquiRectangular = false
FocalPlane = 0.65215
Aperture = 0
ApertureNbrSides = 4
ApertureRot = 0
ApStarShaped = false
BokehCircle = 1.7
Gamma = 1.7
ToneMapping = 5
Exposure = 1
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = true
BloomIntensity = 1
BloomPow = 1.0112
BloomTaps = 12
Detail = -3.53094
FudgeFactor = 1
RaySteps = 454 Locked
RayDepth = 4
MaxDepth = 13.135
OrbitStrength = 0
X = 1,0.584314,0,-0.56862 Locked
Y = 0.113725,0,1,1 Locked
Z = 1,0.584314,0,0.09804 Locked
R = 1,1,1,-0.0099 Locked
CycleColors = false Locked
Cycles = 3.47327 Locked
BiasedSampling = true
DirectLight = true
SoftShadows = 1e-05
BgColor = 0.286275,0.458824,0.509804,0.2857
GradientBg = 0.921569,0.384314,0.262745,3.1481
GradientVignet = false
GradientLinear = true
GradientLinearRot = -45,-36,-45
GradientOffset = 0
Fog = 0.364706,0.403922,0.333333,1.5
Fog_Exp = 0.84631
Mat_Color = 0.823529,0.643137,1
Mat_Refl = 0.83
Mat_ReflExp = 0.9849
Stratify = false
Albedo = 2.23
MapType = 1
tex1 = 
tex1size = 1
tex1offset = 0,0
tex1RepeatMode = 0
tex1int = 1
tex2 = 
tex2size = 1
tex2_offset = 0,0
tex2RepeatMode = 0
tex2int = 1
tex_normal = 0.5
EnableSky = true
turbidity = 2
sunSize = 0.476
SunPos = 0.2963,0.09259
SkyFactor = 7.143
SkyRot = 0,0,0
Sunset = 0.51818
Iterations = 9
Scale = 2.47456
Offset = 2.30358,0.42858,0
Use_Floor = true
ColorIterations = 3
#endpreset




#preset Fog33
FOV = 0.52032
Eye = -0.169543,-1.6188,0.0179104
Target = 9.39374,-1.60337,2.94085
Up = -0.279529,-0.000451074,0.914564
EquiRectangular = false
FocalPlane = 0.11805
Aperture = 0.0019
ApertureNbrSides = 4
ApertureRot = 0
ApStarShaped = false
BokehCircle = 1.7
Gamma = 1.5
ToneMapping = 5
Exposure = 1.4
Brightness = 1
Contrast = 1.2
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = true
BloomIntensity = 0.52778
BloomPow = 0.8989
BloomTaps = 20
Detail = -3.53094
FudgeFactor = 1
RaySteps = 454 Locked
RayDepth = 6
MaxDepth = 13.135
OrbitStrength = 0
X = 1,0.584314,0,-0.56862 Locked
Y = 0.113725,0,1,1 Locked
Z = 1,0.584314,0,0.09804 Locked
R = 1,1,1,-0.0099 Locked
CycleColors = false Locked
Cycles = 3.47327 Locked
BiasedSampling = true
DirectLight = true
SoftShadows = 1e-05
BgColor = 0.286275,0.458824,0.509804,0.2857
GradientBg = 0.921569,0.384314,0.262745,3.1481
GradientVignet = false
GradientLinear = true
GradientLinearRot = -45,-36,-45
GradientOffset = 0
Fog = 0.364706,0.403922,0.333333,1.5
Fog_Exp = 0.84631
Mat_Color = 0.823529,0.643137,1
Mat_Refl = 0.83
Mat_ReflExp = 0.9849
Stratify = false
Albedo = 4
MapType = 1
tex1 = 
tex1size = 1
tex1offset = 0,0
tex1RepeatMode = 0
tex1int = 1
tex2 = 
tex2size = 1
tex2_offset = 0,0
tex2RepeatMode = 0
tex2int = 1
tex_normal = 0.5
EnableSky = true
turbidity = 2
sunSize = 0.476
SunPos = 0.2963,0.09259
SkyFactor = 7.143
SkyRot = 0,0,0
Sunset = 0.51818
Iterations = 9
Scale = 2.47456
Offset = 2.30358,0.42858,0
Use_Floor = true
ColorIterations = 3
#endpreset



#preset Fog4
FOV = 0.52032
Eye = -0.186337,-1.6518,0.00296015
Target = 8.68444,0.711195,3.96852
Up = 0,0,1
EquiRectangular = false
FocalPlane = 0.16305
Aperture = 0.002
ApertureNbrSides = 4
ApertureRot = 0
ApStarShaped = false
BokehCircle = 1.7
Gamma = 1.5
ToneMapping = 5
Exposure = 1.4
Brightness = 1
Contrast = 1.2
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = true
BloomIntensity = 0.52778
BloomPow = 0.8989
BloomTaps = 20
Detail = -3.53094
FudgeFactor = 1
RaySteps = 454 Locked
RayDepth = 6
MaxDepth = 13.135
OrbitStrength = 0
X = 1,0.584314,0,-0.56862 Locked
Y = 0.113725,0,1,1 Locked
Z = 1,0.584314,0,0.09804 Locked
R = 1,1,1,-0.0099 Locked
CycleColors = false Locked
Cycles = 3.47327 Locked
BiasedSampling = true
DirectLight = true
SoftShadows = 1e-05
BgColor = 0.286275,0.458824,0.509804,0.2857
GradientBg = 0.921569,0.384314,0.262745,3.1481
GradientVignet = false
GradientLinear = true
GradientLinearRot = -45,-36,-45
GradientOffset = 0
Fog = 0.364706,0.403922,0.333333,1.5
Fog_Exp = 0.84631
Mat_Color = 0.823529,0.643137,1
Mat_Refl = 0.83
Mat_ReflExp = 0.9849
Stratify = false
Albedo = 4
MapType = 1
tex1 = 
tex1size = 1
tex1offset = 0,0
tex1RepeatMode = 0
tex1int = 1
tex2 = 
tex2size = 1
tex2_offset = 0,0
tex2RepeatMode = 0
tex2int = 1
tex_normal = 0.5
EnableSky = true
turbidity = 2
sunSize = 0.476
SunPos = 0.2963,0.09259
SkyFactor = 7.143
SkyRot = 0,0,0
Sunset = 0.51818
Iterations = 9
Scale = 2.47456
Offset = 2.30358,0.42858,0
Use_Floor = true
ColorIterations = 3
#endpreset



#preset fog44
FOV = 0.52032
Eye = -0.199529,-1.61918,0.00667067
Target = 9.03478,-1.49985,3.84248
Up = -0.399144,-0.000482482,0.916888
EquiRectangular = false
FocalPlane = 0.14
Aperture = 0.0019
ApertureNbrSides = 4
ApertureRot = 0
ApStarShaped = false
BokehCircle = 1.7
Gamma = 1.5
ToneMapping = 5
Exposure = 1.4
Brightness = 1
Contrast = 1.2
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = true
BloomIntensity = 0.75
BloomPow = 1.0112
BloomTaps = 20
Detail = -3.53094
FudgeFactor = 1
RaySteps = 454 Locked
RayDepth = 1
MaxDepth = 13.135 Locked
OrbitStrength = 0
X = 1,0.584314,0,-0.56862 Locked
Y = 0.113725,0,1,1 Locked
Z = 1,0.584314,0,0.09804 Locked
R = 1,1,1,-0.0099 Locked
CycleColors = false Locked
Cycles = 3.47327 Locked
BiasedSampling = true
DirectLight = true
SoftShadows = 1e-05
BgColor = 0.286275,0.458824,0.509804,0.3
GradientBg = 0.921569,0.384314,0.262745,3.1481
GradientVignet = false
GradientLinear = true
GradientLinearRot = -45,-36,-45
GradientOffset = 0
Fog = 0.403922,0.352941,0.25098,1.815
Fog_Exp = 0.63161
Mat_Color = 0.823529,0.643137,1
Mat_Refl = 0.78
Mat_ReflExp = 0.9849
Stratify = false
Albedo = 4
MapType = 1
tex1 = 
tex1size = 1
tex1offset = 0,0
tex1RepeatMode = 0
tex1int = 1
tex2 = 
tex2size = 1
tex2_offset = 0,0
tex2RepeatMode = 0
tex2int = 1
tex_normal = 0.5
EnableSky = true
turbidity = 2
sunSize = 0.476
SunPos = 0.18519,0.06481
SkyFactor = 13.095
SkyRot = 0,0,0
Sunset = 0.51818
Iterations = 9
Scale = 2.47456
Offset = 2.30358,0.42858,0
Use_Floor = true
ColorIterations = 3
#endpreset



#preset Fog5
FOV = 0.52032
Eye = -0.125182,-1.64555,0.0762303
Target = 9.46212,0.760589,-1.43843
Up = 0.134655,0.0346841,0.907419
EquiRectangular = false
FocalPlane = 0.16305
Aperture = 0
ApertureNbrSides = 4
ApertureRot = 0
ApStarShaped = false
BokehCircle = 1.7
Gamma = 1.5
ToneMapping = 5
Exposure = 1.4
Brightness = 1
Contrast = 1.4
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 2
Bloom = true
BloomIntensity = 0.52778
BloomPow = 0.8989
BloomTaps = 20
Detail = -3.53094
FudgeFactor = 1
RaySteps = 454 Locked
RayDepth = 6
MaxDepth = 13.135
OrbitStrength = 0
X = 1,0.584314,0,-0.56862 Locked
Y = 0.113725,0,1,1 Locked
Z = 1,0.584314,0,0.09804 Locked
R = 1,1,1,-0.0099 Locked
CycleColors = false Locked
Cycles = 3.47327 Locked
BiasedSampling = true
DirectLight = true
SoftShadows = 1e-05
BgColor = 0.294118,0.368627,0.509804,0.5714
GradientBg = 0.596078,0.341176,0.14902,3.1481
GradientVignet = false
GradientLinear = true
GradientLinearRot = -45,-36,-45
GradientOffset = 0
Fog = 0.556863,0.615686,0.501961,1.5
Fog_Exp = 1.05261
Mat_Color = 1,0.8,0.666667
Mat_Refl = 0.86
Mat_ReflExp = 0.97561
Stratify = false
Albedo = 4
MapType = 1
tex1 = 
tex1size = 1
tex1offset = 0,0
tex1RepeatMode = 0
tex1int = 1
tex2 = 
tex2size = 1
tex2_offset = 0,0
tex2RepeatMode = 0
tex2int = 1
tex_normal = 0.5
EnableSky = true
turbidity = 2
sunSize = 0.476
SunPos = 0.2963,0.09259
SkyFactor = 1
SkyRot = 0,0,0
Sunset = 0.51818
Iterations = 15
Scale = 2.47456
Offset = 2.30358,0.42858,0
Use_Floor = true
ColorIterations = 3
#endpreset

